services:
  api_key.order_filter:
    parent: 'api_platform.doctrine.orm.order_filter'
    arguments:
      $properties: { id: ~, name: ~, token: ~, createdAt: ~ }
      $orderParameterName: order
    tags: [ 'api_platform.filter' ]

  api_key.global_search_filter:
    parent: 'api.filter.global_search_filter'
    arguments:
      $properties: [
        'name',
        'token',
      ]
    tags: [ 'api_platform.filter' ]

  api_key.search_filter:
    parent: 'api_platform.doctrine.orm.search_filter'
    arguments: [ { id: 'exact' } ]
    tags:  [ 'api_platform.filter' ]